Skip to main content
WEBHOOK
Fires when a contact who had previously opted out sends an opt-in keyword (START, YES, UNSTOP) to one of your phone numbers. After this event fires, Surge allows messages to the contact again.

Common use case

Use contact.opted_in to update your records and re-enable messaging features for a contact. Fetch the full contact with GET /contacts/{contact_id} if you need the phone number or other details.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
account_id
string
required

The ID of the account in which this event occurred

data
object
required

The data associated with the event

timestamp
string<date-time>
required

The timestamp when this event occurred, in ISO8601 format

type
string
required

The type of the event. Always contact.opted_in for this event.

Allowed value: "contact.opted_in"

Response

200

Return a 200 status to indicate that the data was received successfully